<?xml version="1.0"?>
<!--
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
-->
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:ObjectManager/etc/config.xsd">
    <preference for="Academy\Book\Block\View" type="Academy\BookExtend\Block\View" />

    <type name="Academy\Book\Model\Book">
        <plugin name="academyBookextend" type="Academy\BookExtend\Plugin\BookPlugin" sortOrder="1" disabled="false" />
    </type>

    <type name="Academy\Book\Api\Data\BookInterface">
        <plugin name="academyBookextendIf" type="Academy\BookExtend\Plugin\BookPlugin" sortOrder="1" disabled="false" />
    </type>


</config>